{
    "fields": {
        "name": {
            "type": "personName",
            "isPersonalData": true,
            "copyToClipboard": true
        },
        "salutationName": {
            "type": "enum",
            "options": null,
            "style": []
        },
        "firstName": {
            "type": "varchar",
            "maxLength": 100,
            "audited": true,
            "options": [],
            "isPersonalData": true,
            "copyToClipboard": true
        },
        "lastName": {
            "type": "varchar",
            "maxLength": 100,
            "required": true,
            "isPersonalData": true,
            "audited": true,
            "options": [],
            "copyToClipboard": true
        },
        "description": {
            "type": "text"
        },
        "emailAddress": {
            "notStorable": true,
            "type": "email",
            "isPersonalData": true,
            "audited": true,
            "copyToClipboard": true
        },
        "phoneNumber": {
            "type": "phone",
            "typeList": [
                "Mobile",
                "Office",
                "Home",
                "Fax",
                "Other"
            ],
            "defaultType": "Mobile",
            "isPersonalData": true,
            "copyToClipboard": true
        },
        "address": {
            "type": "address",
            "isPersonalData": true,
            "viewMap": false,
            "copyToClipboard": true
        },
        "addressStreet": {
            "type": "text",
            "maxLength": 255,
            "dbType": "varchar",
            "audited": true,
            "isPersonalData": true,
            "copyToClipboard": true
        },
        "addressCity": {
            "type": "varchar",
            "audited": true,
            "isPersonalData": true,
            "copyToClipboard": true
        },
        "addressState": {
            "type": "varchar",
            "audited": true,
            "copyToClipboard": true
        },
        "addressCountry": {
            "type": "varchar",
            "audited": true,
            "isPersonalData": true,
            "copyToClipboard": true
        },
        "addressPostalCode": {
            "type": "varchar",
            "audited": true,
            "options": [],
            "isPersonalData": true,
            "copyToClipboard": true
        },
        "createdAt": {
            "type": "datetime",
            "readOnly": true
        },
        "modifiedAt": {
            "type": "datetime",
            "readOnly": true
        },
        "createdBy": {
            "type": "link",
            "readOnly": true,
            "view": "views/fields/user"
        },
        "modifiedBy": {
            "type": "link",
            "readOnly": true,
            "view": "views/fields/user"
        },
        "assignedUser": {
            "type": "link",
            "required": false,
            "view": "views/fields/assigned-user",
            "audited": true
        },
        "teams": {
            "type": "linkMultiple",
            "view": "views/fields/teams"
        },
        "rechtsform": {
            "type": "enum",
            "optionsReference": "Contact.cRechtsform",
            "isPersonalData": true,
            "style": [],
            "maxLength": 100,
            "isCustom": true,
            "audited": true
        },
        "advowareBetnr": {
            "type": "int",
            "readOnlyAfterCreate": true,
            "audited": true,
            "isCustom": true
        },
        "emailAddressIsInvalid": {
            "audited": true
        },
        "emailAddressIsOptedOut": {
            "audited": true
        }
    },
    "links": {
        "createdBy": {
            "type": "belongsTo",
            "entity": "User"
        },
        "modifiedBy": {
            "type": "belongsTo",
            "entity": "User"
        },
        "assignedUser": {
            "type": "belongsTo",
            "entity": "User"
        },
        "teams": {
            "type": "hasMany",
            "entity": "Team",
            "relationName": "entityTeam",
            "layoutRelationshipsDisabled": true
        },
        "meetings": {
            "type": "hasMany",
            "entity": "Meeting",
            "foreign": "parent"
        },
        "calls": {
            "type": "hasMany",
            "entity": "Call",
            "foreign": "parent"
        },
        "tasks": {
            "type": "hasChildren",
            "entity": "Task",
            "foreign": "parent"
        },
        "vmhRumungsklagesVermieter": {
            "type": "hasMany",
            "relationName": "cVmhVermieterVmhRumungsklage",
            "foreign": "vmhVermietersRKL",
            "entity": "CVmhRumungsklage",
            "audited": false,
            "isCustom": true
        },
        "contactsVermieter": {
            "type": "hasMany",
            "relationName": "cVmhVermieterContact",
            "foreign": "cVmhVermietersFreigabe",
            "entity": "Contact",
            "audited": false,
            "isCustom": true
        },
        "vmhKontaktpersonenVermieter": {
            "type": "hasMany",
            "relationName": "cVmhVermieterKontaktpersonen",
            "foreign": "cVmhVermietersKontaktpersonen",
            "entity": "Contact",
            "audited": false,
            "isCustom": true
        }
    },
    "collection": {
        "orderBy": "name",
        "order": "desc",
        "textFilterFields": [
            "name"
        ],
        "fullTextSearch": false,
        "countDisabled": false
    },
    "indexes": {
        "firstName": {
            "columns": [
                "firstName",
                "deleted"
            ]
        },
        "name": {
            "columns": [
                "firstName",
                "lastName"
            ]
        },
        "assignedUser": {
            "columns": [
                "assignedUserId",
                "deleted"
            ]
        },
        "createdAt": {
            "columns": [
                "createdAt"
            ]
        },
        "createdAtId": {
            "unique": true,
            "columns": [
                "createdAt",
                "id"
            ]
        },
        "rechtsform": {
            "columns": [
                "rechtsform",
                "deleted"
            ]
        },
        "advowareBetnr": {
            "columns": [
                "advowareBetnr"
            ]
        }
    },
    "optimisticConcurrencyControl": false
}